### Virtual Method

# Gtk CellAreaevent

deprecated: 4.10

#### Declaration [src]

    int
    event (
      GtkCellArea* area,
      GtkCellAreaContext* context,
      GtkWidget* widget,
      GdkEvent* event,
      const GdkRectangle* cell_area,
      GtkCellRendererState flags
    )

#### Description [src]

Delegates event handling to a `GtkCellArea`.

Deprecated since: 4.10

Please do not use it in newly written code.

#### Parameters

`context`

  Type: `GtkCellAreaContext`

  The `GtkCellArea`Context for this row of data.

  The data is owned by the caller of the function.

`widget`

  Type: `GtkWidget`

  The `GtkWidget` that `area` is rendering to.

  The data is owned by the caller of the function.

`event`

  Type: `GdkEvent`

  The `GdkEvent` to handle.

  The data is owned by the caller of the function.

`cell_area`

  Type: `GdkRectangle`

  The `widget` relative coordinates for `area`.

  The data is owned by the caller of the function.

`flags`

  Type: `GtkCellRendererState`

  The `GtkCellRenderer`State for `area` in this row.

#### Return value

Type: `int`

`TRUE` if the event was handled by `area`.